diff options
author | Jim Meyering <meyering@redhat.com> | 2009-09-17 14:30:01 +0200 |
---|---|---|
committer | Jim Meyering <meyering@redhat.com> | 2009-09-17 14:30:01 +0200 |
commit | 6504d7e1935ecd9bf38f197ab03b6ada810d81b1 (patch) | |
tree | 86a6107fa3b1ba583cd2e41f487044db2ef72831 /bootstrap | |
parent | 2bad8c0deaf43743537a20fcdf7702d610fbe71d (diff) | |
download | coreutils-6504d7e1935ecd9bf38f197ab03b6ada810d81b1.tar.xz |
build: merge bootstrap changes from gnulib
* bootstrap: Update from gnulib.
Diffstat (limited to 'bootstrap')
-rwxr-xr-x | bootstrap | 20 |
1 files changed, 16 insertions, 4 deletions
@@ -150,12 +150,18 @@ vc_ignore=auto # find_tool ENVVAR NAMES... # ------------------------- +# Search for a required program. Use the value of ENVVAR, if set, +# otherwise find the first of the NAMES that can be run (i.e., +# supports --version). If found, set ENVVAR to the program name, +# die otherwise. find_tool () { # Find sha1sum, named gsha1sum on MacPorts. find_tool_envvar=$1 shift - if eval test x"\$$find_tool_envvar" = x; then + find_tool_names=$@ + eval "find_tool_res=\$$find_tool_envvar" + if test x"$find_tool_res" = x; then for i do if ($i --version </dev/null) >/dev/null 2>&1; then @@ -163,16 +169,18 @@ find_tool () break fi done + else + find_tool_error_prefix="\$$find_tool_envvar: " fi if test x"$find_tool_res" = x; then - echo >&2 "$0: $find_tool_name is required" + echo >&2 "$0: one of these is required: $find_tool_names" exit 1 fi ($find_tool_res --version </dev/null) >/dev/null 2>&1 || { - echo >&2 "$0: cannot run $find_tool_res --version" + echo >&2 "$0: ${find_tool_error_prefix}cannot run $find_tool_res --version" exit 1 } - eval "$find_tool_envvar=\"$find_tool_res\"" + eval "$find_tool_envvar=\$find_tool_res" eval "export $find_tool_envvar" } @@ -721,6 +729,10 @@ find "$m4_base" "$source_base" \ # Reconfigure, getting other files. +# Skip autoheader if it's not needed. +grep '^[ ]*AC_CONFIG_HEADERS\>' configure.ac >/dev/null || + AUTOHEADER=true + for command in \ libtool \ "${ACLOCAL-aclocal} --force -I m4" \ |